Retrieve a Kling image-to-video task

Retrieve the status and result of a Kling image-to-video task.

GET /kling/v1/videos/image2video/{task_id}

Service root: https://getrouter.ai

Protocol: Provider task API

Authentication: Authorization: Bearer YOUR_API_KEY

Parameters

ParameterLocationTypeRequiredDescription
task_idpathstringYesTask ID

Example request

curl --request GET \
  --url https://getrouter.ai/kling/v1/videos/image2video/TASK_ID \
  --header "Authorization: Bearer YOUR_API_KEY"

Responses

StatusDescription
200Task status retrieved successfully
404Task not found

Success response fields

FieldTypeRequiredDescription
task_idstringNoTask ID
statusstringNoTask status Allowed values: queued, in_progress, completed, failed
urlstringNoVideo asset URL (when successful)
formatstringNoVideo format
metadataobjectNo
errorobjectNo

Example response

{
  "task_id": "TASK_ID",
  "status": "queued",
  "url": "https://example.com/resource",
  "format": "mp3",
  "metadata": {
    "duration": 1,
    "fps": 1,
    "width": 1,
    "height": 1,
    "seed": 1
  },
  "error": {
    "code": 1,
    "message": "string"
  }
}

For complete workflows and examples, read the Video Generation API Guide.


This page is generated from the public Relay OpenAPI specification. Browse the complete specification in the API Explorer.